unit M3Consts;

interface

uses Graphics;

type

   TPlayerColors=array[1..10]of TColor;

const
// playlists
   P_MAINMENU='PLY_MAINMENU';
   P_INGAME='PLY_INGAME';
   P_CREDITS='PLY_CREDITS';
   P_SCORES='PLY_SCORES';
   P_WIN='PLY_WIN';
   P_LOSE='PLY_LOSE';
   

// data files paths
  FILE_WINDOWS = 'DATA\MORKIN3.VWP';
  FILE_MIDI = 'DATA\MIDI.VML';
  FILE_TEXT = 'DATA\TEXTS.VTX';
  FILE_FONT_AMHERST= 'DATA\AMHERST.TTF';
  FILE_CFG='CONFIG.INI';
  FILE_GFX_TERRAIN='DATA\TERRAIN.VTL';
  FILE_GFX_OBJECTS='DATA\OBJ.VTL';
  FILE_GFX_CHARS='DATA\CHARS.VTL';
  FILE_GFX_SPELLS='DATA\SPELLS.VTL';


// windows&controls names
  W_DESK = 'DESK';
  W_MAINMENU = 'WIN_MAINMENU';
  W_NEWGAMEMAIN = 'WIN_NEWGAME_MAIN';
  W_NEWGAMECHAR='WIN_NEWGAME_CHAR';
  W_NEWGAMESTORY='WIN_NEWGAME_STORY';
  W_OPTIONS='WIN_OPTIONS';
  W_OPTGFX='WIN_OPT_GFX';
  W_OPTMIDI='WIN_OPT_MIDI';
  W_LOADGAME='WIN_LOADGAME';
  W_NEWGAMEMAP='WIN_NEWGAME_MAP';
  W_MAINVIEW='WIN_MAINVIEW';
  W_STATUS1='WIN_STATUS1';
  W_STATUS2='WIN_STATUS2';
  W_STATUS3='WIN_STATUS3';
  W_INFO='WIN_INFO';
  W_CREDITS='WIN_CREDITS';


// Controls
   SD_MAIN='SD_SURFACE';
   SD_UNIT='SD_UNIT';
   SD_PLAYER='SD_PLAYER';
   SD_CREDITS='SD_CREDITS';

//States
  ST_MAINMENU = 0;
  ST_NEWGAME = 1;
  ST_INGAME=2;



/////  NUMBERS
  TILE_SIZE  = 48;

  MIN_MAPSIZE=16;
  MAX_MAPSIZE=256;

  MAX_PLAYERS=5;

////// STRINGS

  STR_PAN_PLAYER='Hr slo [%d]';


///////

  PlayerColors:TPlayerColors=(clRed,clBlue,clYellow,clGray,clFuchsia,
  clLime,clAqua,clMaroon,clGreen,clOlive);


implementation

end.
